from django.contrib import admin

from .models import Album

# Register your models here.

class AlbumAdmin(admin.ModelAdmin):
    list_display = ['id', 'image', 'is_verified']

    fieldsets = (
        ('General', {
            'fields': ('object_type', 'description', 'image'),
        }),
        ('User Info', {
            'fields': (
                ('surname', 'first_name'),
                ('birth_date','postal_code'),
                ('address','town'),
                ('telephone','email'),
            ),
        }),
        ('Others', {
            'fields': (
                ('target', 'is_agreed_terms_and_cond'),
                'is_verified'
            ),
        })
    )

admin.site.register(Album, AlbumAdmin)
