import datetime
from itertools import chain

import numpy as np
from celery import shared_task
from celery.utils.log import get_task_logger
from django.conf import settings
from django.contrib.auth import get_user_model
from django.core import mail
from django.core.mail import EmailMultiAlternatives
from django.core.mail.backends.smtp import EmailBackend
from django.db.models.expressions import F
from django.template.loader import render_to_string
from django.utils.html import strip_tags
from django.utils.timezone import make_aware

from .models import Album


@shared_task(name='send_new_album_notification')
def send_new_album_notification(album_id):

    album = Album.objects.get(id=album_id)
    subject = 'New Image added | Verification Required - ungleich'
    context = {
        'subject': subject,
        'album': album
    }
    html_message = render_to_string('email/new_album_notification.html', context)
    plain_message = strip_tags(html_message)
    from_email = settings.EMAIL_HOST_USER
    print(from_email)

    se_mail = mail.send_mail(
        subject, plain_message, from_email, [from_email], html_message=html_message
    )
